Skip to main content
GET
/
api
/
v1
/
kyb
/
b2b
/
documents
List uploaded documents (deprecated, use GET /documents)
curl --request GET \
  --url https://api.hevn.finance/api/v1/kyb/b2b/documents \
  --header 'Authorization: Bearer <token>'
{
  "documents": [
    {
      "id": "<string>",
      "name": "<string>",
      "originName": "<string>",
      "link": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "content": {}
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Query Parameters

doc_type
string
default:uploaded

Document filter type, e.g. 'uploaded'

Response

Successful Response

Response for user-uploaded documents list.

documents
DocumentDraftInfo · object[]
required